# install - Installs (copies) "hbcxmlgen-bash.sh" to /usr/bin as "hbcxmlgen-bash" so it is accessible
#           from any directory.
#
# license - hbcxmlgen-bash is distributed under the terms of the GNU General Public License.
#           Copyright 2009 mcpancakes
#
#           This file is part of hbcxmlgen-bash.

#!/bin/bash

if [ "$1" == "-i" ]; then
	if [ -f /usr/bin/hbcxmlgen-bash ]; then
		echo "hbcxmlgen-bash is already installed."
		exit 1
	fi
	echo "Copying to /usr/bin/hbcxmlgen-bash ..."
	sudo cp hbcxmlgen-bash.sh /usr/bin/hbcxmlgen-bash
	echo "Installed!"
elif [ "$1" == "-u" ]; then
	if [ ! -f /usr/bin/hbcxmlgen-bash ]; then
		echo "hbcxmlgen-bash is not installed."
		exit 1
	fi
	echo "Deleting /usr/bin/hbcxmlgen-bash ..."
	sudo rm /usr/bin/hbcxmlgen-bash
	echo "Uninstalled!"
else
	echo "Usage: $0 -i | -u"
	echo "   -i = install"
	echo "   -u = uninstall"
fi

